### Method

# Shumate MapSourceRegistry get_by_id

#### Declaration [src]

    ShumateMapSource*
    shumate_map_source_registry_get_by_id (
      ShumateMapSourceRegistry* self,
      const gchar* id
    )

#### Description [src]

Find the `ShumateMapSource` with the corresponding id.

#### Parameters

`id`

  Type: `const gchar*`

  The id of the `ShumateMapSource`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ShumateMapSource`

The `ShumateMapSource` or `NULL` if no map source has been found.

The data is owned by the instance.
The return value can be `NULL`.